version: '3.4'
services:
    api:
        environment:
            - SALT_ROUNDS=10
            - JWT_SECRET=a52d4c1a8e4e4089a62fbe3ae1762d6f
            - JWT_TOKEN_LIFE=1h
            - JWT_REFRESH_SECRET=a52d4c1a8e4e4089a62fbe3ae1762d6f1
            - JWT_REFRESH_TOKEN_LIFE=24h
            - JWT_REFRESH_TOKEN_LIFE_PATIENT=24h
            - PHI_JWT_SECRET=a52d4c5a8e4e4089a62fbe3ae6762d6f
            - PHI_JWT_TOKEN_LIFE=5m
            - SENDGRID_APIKEY=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
            - HOST=localhost
            - PORT=6432
            - DB_USERNAME=mhmadmin@myhealingmate-loadtesting
            - PASSWORD=C@b0t@dmin123
            - DATABASE=mhm-api
            - MAIL_DRIVER=smtp
            - MAIL_HOST=email-smtp.us-east-1.amazonaws.com
            - MAIL_PORT=587
            - MAIL_USERNAME=AKIAY4XOU6MS3574AMPP
            - MAIL_PASSWORD=BE0f984agCJ2kqpHVnh2LpCrwzgYfYnmjeg36JlMUpd1
            - MAIL_ENCRYPTION=ssl
            - EZCONSULT_APPID=970158c750eb48f3a070672e26364c5d
            - EZCONSULT_APP_CERTIFICATE=dc79ad115aa945d6ab6b601982bd8b1c
            - APPID=2416d8f68b2b4af4be9e7f3396b35f58
            - APP_CERTIFICATE=ad0bc55e176741a0bf1f20048447a951
            - AWS_ACCESS_KEY=AKIA5SEETXL5YEUHPAHO
            - AWS_SECRET_ACCESS_KEY=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
            - AWS_REGION=us-east-1
            - BLOB_STORAGE_ACCOUNT=myhealingmatestaging
            - BLOB_STORAGE_KEY=i54rYc4QN2SWnZIse4OIEX2un8/CQXUxjP6H4cGxvvcWkEFyxVxSAtT6MO1f0BZSlJrL4S4o9cma5ODNl/M9Jw==
            - BLOB_STORAGE_PUBLIC_URL=https://myhealingmatestaging.blob.core.windows.net/
            - PRIVATE_CONTAINER=private
            - FIREBASE_SERVER_KEY=AAAAAwM0qtY:APA91bFsXlE7stTDLdhb3sa8zag5mqEbL6K3Zu936ntVDi0H-HaTb118dFN9fN-rUWaM_LFqC8jSMI-8kZOj6-wJkQgcsfe46WRz8viRfjZK6RvpDst62FKx4qine-KsVJ41c8CKAzOd
            - FIREBASE_SENDER_ID=12938685142
            - PROD_TWILIO_ACCOUNT_SID=AC031890105291d8ba237dd7827d1131e5
            - PROD_TWILIO_AUTH_TOKEN=8d43c75882aee065e517be73568c7540
            - STRAPI_URL=https://cms-staging.myhealingmate.com/
            - FORGOT_PASSWORD_URL=https://admin-staging.myhealingmate.com/register?token=
            - CONTENT_MODERATOR_ENDPOINT=https://myhealingmate.cognitiveservices.azure.com/contentmoderator/moderate/v1.0/ProcessText/Screen?autocorrect=true&PII=false&classify=true
            - OCP_APIM_SUBSCRIPTION_KEY=de50d549dca8469a9b20cbd6b364894a
            - STRIPE_PRIVATE_KEY=sk_test_51J0j8ESF2xspulCDc2jqT5KQkcNvJxaGKwwfMqoMqlyvvpcAMpTTOyjlLbm6rKhsihHw9SxIRQUlRrfwLsowjaUt00hNPLhiUu
            - PATIENT_TOKEN_EXPIRY_TIME=30d
            - EXPERT_TOKEN_EXPIRY_TIME=24h
            - MARKETING_WEBSITE_URL=https://staging.myhealingmate.com